ch.qos.logback.core.joran.conditional

## Class PropertyEvalScriptBuilder

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.conditional.PropertyEvalScriptBuilder

All Implemented Interfaces:
  ContextAware

    public class PropertyEvalScriptBuilder
    extends ContextAwareBase

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Method Summary

Methods
`Condition` `build(java.lang.String script)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public Condition build(java.lang.String script)
                    throws java.lang.IllegalAccessException,
                           org.codehaus.commons.compiler.CompileException,
                           java.lang.InstantiationException,
                           java.lang.SecurityException,
                           java.lang.NoSuchMethodException,
                           java.lang.IllegalArgumentException,
                           java.lang.reflect.InvocationTargetException

Throws:
  `java.lang.IllegalAccessException`
  `org.codehaus.commons.compiler.CompileException`
  `java.lang.InstantiationException`
  `java.lang.SecurityException`
  `java.lang.NoSuchMethodException`
  `java.lang.IllegalArgumentException`
  `java.lang.reflect.InvocationTargetException`